Environment Provisioning - Link Dataverse

Links a Dataverse instance to an existing environment.

PATCH https://api.powerplatform.com/environmentmanagement/provisioning/environments/{environmentId}/link?api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The environment ID to link Dataverse to.

api-version
query True

string

The API version.

Request Body

Media Types: "application/json", "text/json", "application/*+json"

Name Type Description
baseLanguage

integer (int32)

The base language code (e.g., 1033 for English).

currency

CreateEnvironmentRequestCurrency

Currency settings for environment provisioning.

domainName

string

The domain name.

securityGroupId

string

The security group ID.

templateMetadata

object

A JSON object payload customized for the selected templates.

templates

string[]

The templates to apply.

Responses

Name Type Description
202 Accepted

OperationExecutionResult

Accepted

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
CreateEnvironmentRequestCurrency

Currency settings for environment provisioning.

CreateEnvironmentRequestLinkedMetadata

Metadata for the linked Dataverse environment.

Environment

Power platform Environment

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

ErrorInfo

Represents error information for an operation.

OperationExecutionResult

Represents the result of an operation execution.

OperationStatus

The status of operation.

StageStatus

The stage status of an operation.

StepExecutionStatus

The execution status of a step within a stage.

UserIdentity

Represents the identity of a user.

ValidationResponse

Represents the response for validation of an operation.

CreateEnvironmentRequestCurrency

Currency settings for environment provisioning.

Name Type Description
code

string

The currency code (e.g., USD).

name

string

The currency name.

precision

integer (int32)

The currency precision.

symbol

string

The currency symbol.

CreateEnvironmentRequestLinkedMetadata

Metadata for the linked Dataverse environment.

Name Type Description
baseLanguage

integer (int32)

The base language code (e.g., 1033 for English).

currency

CreateEnvironmentRequestCurrency

Currency settings for environment provisioning.

domainName

string

The domain name.

securityGroupId

string

The security group ID.

templateMetadata

object

A JSON object payload customized for the selected templates.

templates

string[]

The templates to apply.

Environment

Power platform Environment

Name Type Description
dataverseOrganizationUrl

string

Dataverse organization Url of the environment.

displayName

string

Display name of the environment.

environmentId

string

The environment ID.

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong.

suggestedValue

string

A suggested or accepted value that would resolve the error.

ErrorInfo

Represents error information for an operation.

Name Type Description
code

string

The error Code.

fieldErrors

<string,  ErrorEntry>

The detailed error.

OperationExecutionResult

Represents the result of an operation execution.

Name Type Description
endTime

string (date-time)

The end time of the operation.

errorDetail

ErrorInfo

Represents error information for an operation.

name

string

The name of the operation.

operationId

string

The ID of the operation.

requestedBy

UserIdentity

Represents the identity of a user.

stageStatuses

StageStatus[]

The list of State statuses associated with the operation.

startTime

string (date-time)

The start time of the operation.

status

OperationStatus

The status of operation.

updatedEnvironment

Environment

Power platform Environment

OperationStatus

The status of operation.

Value Description
Queued
InProgress
Succeeded
ValidationFailed
Failed
NoOperation
ValidationPassed

StageStatus

The stage status of an operation.

Name Type Description
endTime

string (date-time)

The end time of stage.

errorDetail

ErrorInfo

Represents error information for an operation.

name

string

The name of stage.

startTime

string (date-time)

The start time of stage.

status

StepExecutionStatus

The execution status of a step within a stage.

StepExecutionStatus

The execution status of a step within a stage.

Value Description
Succeeded
Failed
Skipped
Postponed
InProgress
NotStarted

UserIdentity

Represents the identity of a user.

Name Type Description
displayName

string

The display name of the user.

tenantId

string

The tenant ID of the user.

type

string

The type of the user identity (e.g., User).

userId

string

The ID of the user.

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

ErrorInfo

Represents error information for an operation.